Debian Bug report logs - #345524
dialog: tailboxbg gives segmentation fault

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Daniel Lublin <lists@lublin.se>

Date: Sun, 1 Jan 2006 14:18:12 UTC

Severity: serious

Found in version dialog/1.0-20051219-1

Fixed in version dialog/1.0-20060101-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Forwarded to Thomas Dickey <dickey@his.com>

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#345524; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Daniel Lublin <lists@lublin.se>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Lublin <lists@lublin.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: tailboxbg gives segmentation fault
Date: Sun, 01 Jan 2006 15:16:12 +0100
Package: dialog
Version: 1.0-20051219-1
Severity: important

(Perhaps it was broken already in 20051207. In 20051107 it works, 
though.)

tailboxbg is broken and causes a segfault. gdb gives:

  Program received signal SIGSEGV, Segmentation fault.
  dlg_register_buttons (win=0x80c06a0, name=0x805e8bf "tailbox",
      buttons=0x0) at dlg_keys.c:108
  108         for (n = 0; buttons[n] != 0; ++n) {
  (gdb) bt
  #0  dlg_register_buttons (win=0x80c06a0, name=0x805e8bf "tailbox", 
      buttons=0x0) at dlg_keys.c:108
  #1  0x080529bf in dialog_tailbox (title=0x0, file=0xbffffc2a "hej", 
      height=7, width=12, bg_task=1) at tailbox.c:333
  #2  0x0804be9f in call_tailboxbg (t=0x0, av=0xbffffaa8, 
      offset_add=0x0) at dialog.c:862
  #3  0x0804b3a7 in main (argc=5, argv=Variable "argv" is not available.
  ) at dialog.c:1449
  (gdb)    

It seems to me that the call to dlg_register_buttons() should not be 
made, as the tailboxbg has no buttons. I tried only doing this call 
when bg_task==false, and got my tailboxbg (it disappeared quickly 
ofcourse, no button!).

I then tried tailboxbg with and-widget, as you usually would use it, 
and found out that I could not move between the tailboxbg widget and 
the other widget (a checklist) with TAB, as was possible before. 
Instead, TAB moved between the checklist's OK/Cancel. I suppose this is 
a result of the new user-definable key bindings.



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#345524; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 345524@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Daniel Lublin <lists@lublin.se>, 345524@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#345524: dialog: tailboxbg gives segmentation fault
Date: Mon, 2 Jan 2006 01:47:59 +0100 (CET)
severity 345524 serious
forwarded 345524 Thomas Dickey <dickey@his.com>
thanks

On Sun, 1 Jan 2006, Daniel Lublin wrote:

> Package: dialog
> Version: 1.0-20051219-1
> Severity: important
> 
> (Perhaps it was broken already in 20051207. In 20051107 it works, 
> though.)
> 
> tailboxbg is broken and causes a segfault. [...]

Thanks a lot for the report. I'm upgrading to serious to prevent this
release entering testing.



Severity set to `serious'. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to Thomas Dickey <dickey@his.com>. Request was from Santiago Vila <sanvila@unex.es> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#345524; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #19 received at 345524@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Santiago Vila <sanvila@unex.es>, 345524@bugs.debian.org
Subject: Re: Bug#345524: dialog: tailboxbg gives segmentation fault
Date: Sun, 1 Jan 2006 20:34:56 -0500 (EST)
On Mon, 2 Jan 2006, Santiago Vila wrote:

> severity 345524 serious
> forwarded 345524 Thomas Dickey <dickey@his.com>
> thanks
>
> On Sun, 1 Jan 2006, Daniel Lublin wrote:
>
>> Package: dialog
>> Version: 1.0-20051219-1
>> Severity: important
>>
>> (Perhaps it was broken already in 20051207. In 20051107 it works,
>> though.)
>>
>> tailboxbg is broken and causes a segfault. [...]
>
> Thanks a lot for the report. I'm upgrading to serious to prevent this
> release entering testing.

thanks (I'll take a look at this).  tailboxbg has a "button", btw - the
"OK" button - and a quick check shows it broken in 20051207 as well.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#345524; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #24 received at 345524@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Daniel Lublin <lists@lublin.se>, 345524@bugs.debian.org
Subject: Re: Bug#345524: dialog: tailboxbg gives segmentation fault
Date: Mon, 2 Jan 2006 06:26:39 -0500 (EST)
On Sun, 1 Jan 2006, Daniel Lublin wrote:

> Package: dialog
> Version: 1.0-20051219-1
> Severity: important
...
> I then tried tailboxbg with and-widget, as you usually would use it,
> and found out that I could not move between the tailboxbg widget and
> the other widget (a checklist) with TAB, as was possible before.
> Instead, TAB moved between the checklist's OK/Cancel. I suppose this is
> a result of the new user-definable key bindings.

no - that's a different bug that is older than 20051107 (will look into
that, but it's a normal one rather than serious).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Lublin <lists@lublin.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #29 received at 345524-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 345524-close@bugs.debian.org
Subject: Bug#345524: fixed in dialog 1.0-20060101-1
Date: Mon, 02 Jan 2006 05:47:10 -0800
Source: dialog
Source-Version: 1.0-20060101-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20060101-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20060101-1.diff.gz
dialog_1.0-20060101-1.dsc
  to pool/main/d/dialog/dialog_1.0-20060101-1.dsc
dialog_1.0-20060101-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20060101-1_powerpc.deb
dialog_1.0-20060101.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20060101.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 345524@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  2 Jan 2006 14:08:10 +0100
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20060101-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 345524
Changes: 
 dialog (1.0-20060101-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed segfault problem in tailboxbg (Closes: #345524).
Files: 
 9fdb21e87f0011e041ef48e6db326238 593 misc optional dialog_1.0-20060101-1.dsc
 33ef37b69eeff2c477edeabbdf37f443 328288 misc optional dialog_1.0-20060101.orig.tar.gz
 0146c16f0d69321b5a66bdd1e6bd79b6 8466 misc optional dialog_1.0-20060101-1.diff.gz
 eafd2e5614d05f7ed95cda6e7534646b 224610 misc optional dialog_1.0-20060101-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDuSkpd9Uuvj7yPNYRAogzAKCdTlK2zvywBXWuLz/hhAnj7ghSiwCfadj+
Mj0Mmd2FHn3JbssetyqiMR4=
=7NQ+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:38:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 10:46:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.